<template>

  <v-toolbar
    color="primary"
    dark
    fixed
    clipped-left
    app
  >
    <v-toolbar-side-icon @click.stop="toggleSidebar"/>
    <v-toolbar-title 
      style="width: 300px">
      
      <span class="hidden-sm-and-down">FABUI</span>
    </v-toolbar-title>

    <v-spacer/>
    <v-tooltip bottom>
      <v-btn 
        slot="activator" 
        icon 
        @click.stop="logOut">
        <v-icon>power_settings_new</v-icon>
      </v-btn>
      <span>Log out</span>
    </v-tooltip>
  </v-toolbar>

</template>
<script>

export default {
	components: {

	},
	methods: {
		toggleSidebar () {
			this.$emit('toggleSidebar')
		},
		logOut()
		{
			this.$emit('logOut')
		}
	}
}

</script>
<style>

</style>